org.apache.solr.common.cloud

## Class ZkClientConnectionStrategy.ZkUpdate

- java.lang.Object
- - org.apache.solr.common.cloud.ZkClientConnectionStrategy.ZkUpdate

Enclosing class:
  ZkClientConnectionStrategy

    public abstract static class ZkClientConnectionStrategy.ZkUpdate
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ZkUpdate()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `update(SolrZooKeeper zooKeeper)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ZkUpdate

    public ZkUpdate()

### Method Detail

#### update

    public abstract void update(SolrZooKeeper zooKeeper)
                         throws InterruptedException,
                                TimeoutException,
                                IOException

Throws:
  `InterruptedException`
  `TimeoutException`
  `IOException`